# ]po[ Gantt Editor
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](https://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](https://www.project-open.com/en/list-installers)

About ]po[ Gantt Editor:

<p>This package implements a project Gantt Editor in HTML5 (&quot;AJAX&quot;) technology as a single-page open-source application similar to <ul><li><a href="https://www.projectlibre.org">ProjectLibre<span class="external"> </span></a>, <li><a href="https://www.ganttproject.biz">GanttProject<span class="external"> </span></a> or <li><a href="https://products.office.com/en-us/project/">Microsoft Project<span class="external"> </span></a></ul><a href="/en/integration-ms-project">import schedules from these tools</a><p><img alt="Gantt Editor" src="https://www.project-open.com/images/manual_screenshots/intranet_gantt_editor_dual_window.png" /><p>The current development status is available as part of our <a href="https://po50demo.project-open.net">V5.0.beta demo server<span class="external"> </span></a>. Please log in as &quot;Ben Bigboss&quot; or click on <a href="https://demo.project-open.net/become?user_id=8864&amp;amp;url=/intranet/projects/view?project_id=77858&amp;amp;view_name=component&amp;amp;plugin_id=92995">this URL<span class="external"> </span></a> for a direct link to an example project. Next choose sub tab &quot;Gantt Editor&quot;: <p><img alt="Menu Gantt Editor" src="https://www.project-open.com/images/manual_screenshots/intranet_gantt_editor_submenu.png" />

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1617186&amp;path=packages/intranet-gantt-editor/lib/gantt-editor.adp">lib/gantt-editor.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1617186&amp;path=packages/intranet-gantt-editor/lib/gantt-editor.tcl">lib/gantt-editor.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1617186&amp;path=packages/intranet-gantt-editor/lib/task-editor.adp">lib/task-editor.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1617186&amp;path=packages/intranet-gantt-editor/lib/task-editor.tcl">lib/task-editor.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=1617186&amp;path=packages/intranet-gantt-editor/tcl/intranet-gantt-editor-procs.tcl">tcl/intranet-gantt-editor-procs.tcl</a></b></td><td></td><td>Gantt Editor library. </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1617186&amp;proc=gantt_editor_portlet">gantt_editor_portlet</a></b></td><td></td><td>Returns a HTML code with a Gantt editor for the project. </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-gantt-editor&amp;url=postgresql/intranet-gantt-editor-create.sql&amp;version_id=1617186">sql/postgresql/intranet-gantt-editor-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-gantt-editor&amp;url=postgresql/intranet-gantt-editor-drop.sql&amp;version_id=1617186">sql/postgresql/intranet-gantt-editor-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-gantt-editor&amp;url=postgresql/upgrade/upgrade-5.0.2.3.4-5.0.2.3.5.sql&amp;version_id=1617186">sql/postgresql/upgrade/upgrade-5.0.2.3.4-5.0.2.3.5.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-gantt-editor&amp;url=postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.2.sql&amp;version_id=1617186">sql/postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.2.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1617186&amp;path=packages/intranet-gantt-editor/www/index.vuh">index.vuh</a></b></td><td></td></tr><tr valign="top"><td><b>view/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1617186&amp;path=packages/intranet-gantt-editor/www/view/GanttBarPanel.adp">GanttBarPanel.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1617186&amp;path=packages/intranet-gantt-editor/www/view/GanttBarPanel.tcl">GanttBarPanel.tcl</a></b></td><td></td></tr></table>

